Bug 245022 - Crash when no valid viewport
Crash when no valid viewport
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-20 12:01 EDT by Bastien Nocera
Modified: 2014-06-18 05:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:08:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2007-06-20 12:01:10 EDT
From http://bugzilla.gnome.org/show_bug.cgi?id=446227

Version: 2.18.2

What were you doing when the application crashed?
Right clicked on thunderbird bar in window bar in the bottom panel


Distribution: Fedora release 7 (Moonshine)
Gnome Release: 2.18.2 2007-05-28 (Red Hat, Inc)
BugBuddy Version: 2.18.0

System: Linux 2.6.21-1.3194.fc7 #1 SMP Wed May 23 22:47:07 EDT 2007 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 10300000
Selinux: Enforcing
Accessibility: Disabled
GTK+ Theme: Clearlooks
Icon Theme: Fedora

Memory status: size: 282923008 vsize: 282923008 resident: 23240704 share:
17539072 rss: 23240704 rss_rlim: 18446744073709551615
CPU usage: start_time: 1181537853 rtime: 384 utime: 331 stime: 53 cutime:0
cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/libexec/wnck-applet'

(no debugging symbols found)
Using host libthread_db library "/lib64/libthread_db.so.1".
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 46912679030400 (LWP 3521)]
(no debugging symbols found)
0x00002aaaafc9e865 in waitpid () from /lib64/libpthread.so.0
#0  0x00002aaaafc9e865 in waitpid () from /lib64/libpthread.so.0
#1  0x00002aaaaaf2cc97 in g_object_unref () from /usr/lib64/libgnomeui-2.so.0
#2  <signal handler called>
#3  0x00002aaaad484820 in wnck_workspace_is_virtual ()
   from /usr/lib64/libwnck-1.so.18
#4  0x00002aaaad483193 in g_object_unref () from /usr/lib64/libwnck-1.so.18
#5  0x00002aaaad483f32 in wnck_create_window_action_menu ()
   from /usr/lib64/libwnck-1.so.18
#6  0x00002aaaad47a21d in g_object_unref () from /usr/lib64/libwnck-1.so.18
#7  0x00002aaaad9e32fd in g_object_unref ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#8  0x00002aaaaf3b5f19 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
#9  0x00002aaaaf3c5788 in g_object_unref () from /lib64/libgobject-2.0.so.0
#10 0x00002aaaaf3c699d in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
#11 0x00002aaaaf3c6da3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
#12 0x00002aaaadae137e in g_object_unref ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#13 0x00002aaaad9dc8ed in gtk_propagate_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x00002aaaad9dd901 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
#15 0x00002aaaae1bab2c in g_object_unref ()
   from /usr/lib64/libgdk-x11-2.0.so.0
#16 0x00002aaaafa201f4 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#17 0x00002aaaafa2302d in g_object_unref () from /lib64/libglib-2.0.so.0
#18 0x00002aaaafa2333a in g_main_loop_run () from /lib64/libglib-2.0.so.0
#19 0x00002aaaac749e26 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
#20 0x00002aaaac7482b1 in bonobo_generic_factory_main_timeout ()
   from /usr/lib64/libbonobo-2.so.0
#21 0x00002aaaaaccca14 in panel_applet_factory_main_closure ()
   from /usr/lib64/libpanel-applet-2.so.0
#22 0x00000000004056fb in main ()

Thread 1 (Thread 46912679030400 (LWP 3521)):
#0  0x00002aaaafc9e865 in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x00002aaaaaf2cc97 in g_object_unref () from /usr/lib64/libgnomeui-2.so.0
No symbol table info available.
#2  <signal handler called>
No symbol table info available.
#3  0x00002aaaad484820 in wnck_workspace_is_virtual ()
   from /usr/lib64/libwnck-1.so.18
No symbol table info available.
#4  0x00002aaaad483193 in g_object_unref () from /usr/lib64/libwnck-1.so.18
No symbol table info available.
#5  0x00002aaaad483f32 in wnck_create_window_action_menu ()
   from /usr/lib64/libwnck-1.so.18
No symbol table info available.
#6  0x00002aaaad47a21d in g_object_unref () from /usr/lib64/libwnck-1.so.18
No symbol table info available.
#7  0x00002aaaad9e32fd in g_object_unref ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#8  0x00002aaaaf3b5f19 in g_closure_invoke () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#9  0x00002aaaaf3c5788 in g_object_unref () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#10 0x00002aaaaf3c699d in g_signal_emit_valist ()
   from /lib64/libgobject-2.0.so.0
No symbol table info available.
#11 0x00002aaaaf3c6da3 in g_signal_emit () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#12 0x00002aaaadae137e in g_object_unref ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#13 0x00002aaaad9dc8ed in gtk_propagate_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#14 0x00002aaaad9dd901 in gtk_main_do_event ()
   from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#15 0x00002aaaae1bab2c in g_object_unref ()
   from /usr/lib64/libgdk-x11-2.0.so.0
No symbol table info available.
#16 0x00002aaaafa201f4 in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#17 0x00002aaaafa2302d in g_object_unref () from /lib64/libglib-2.0.so.0
No symbol table info available.
#18 0x00002aaaafa2333a in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#19 0x00002aaaac749e26 in bonobo_main () from /usr/lib64/libbonobo-2.so.0
No symbol table info available.
#20 0x00002aaaac7482b1 in bonobo_generic_factory_main_timeout ()
   from /usr/lib64/libbonobo-2.so.0
No symbol table info available.
#21 0x00002aaaaaccca14 in panel_applet_factory_main_closure ()
   from /usr/lib64/libpanel-applet-2.so.0
No symbol table info available.
#22 0x00000000004056fb in main ()
No symbol table info available.
#0  0x00002aaaafc9e865 in waitpid () from /lib64/libpthread.so.0
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y;
input not from terminal]


----------- .xsession-errors (1159 sec old) ---------------------
localuser:edsall being added to access control list
SESSION_MANAGER=local/smog:/tmp/.ICE-unix/3361
libnm_glib_nm_state_cb: dbus returned an error.
  (org.freedesktop.DBus.Error.ServiceUnknown) The name
org.freedesktop.NetworkManager was not provided by any .service files
error getting update info:  Cannot open/read repomd.xml file for repository:
fedora
(gnome-panel:3479): Gtk-CRITICAL **: gtk_icon_theme_lookup_icon: assertion
`GTK_IS_ICON_THEME (icon_theme)' failed
connection_message_func(): Callback
CALLBACK: fill-authentication!!!
connection_message_func(): Callback
CALLBACK: fill-authentication!!!
--------------------------------------------------

There's a NULL pointer check missing somewhere
Comment 2 Matěj Cepl 2007-11-26 12:41:04 EST
There is tone of duplicates in the upstream bugzilla, so this is probably
something real.

Waiting on the upstream reporter to provide information requested.
Comment 3 Bastien Nocera 2007-11-26 15:17:49 EST
Matej, this has nothing to do with the X server, or its configuration.
Comment 5 Bug Zapper 2008-04-04 08:50:31 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-11-26 02:21:18 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-01-09 02:08:40 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.